package gonganxitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/community/src/gonganxitong/model"
)

type domain struct {
	Table
	create string `name:"create name* info" role:"void"`
	remove string `name:"remove" role:"void"`
}

func (s domain) Create(m *ice.Message, arg ...string) { s.Insert(m, arg...) }
func (s domain) Remove(m *ice.Message, arg ...string) { s.Delete(m, arg...) }
func (s domain) List(m *ice.Message, arg ...string) {
	s.Fields(m, model.UID, model.NAME)
	if len(arg) == 0 {
		s.Select(m).RenameAppend(model.UID, model.DOMAIN_UID)
	} else if len(arg) == 1 {
		s.Select(m)
	} else if len(arg) == 2 {
		s.Select(m, model.UID, arg[1])
	}
	m.PushAction(s.Remove)
}

func init() { ice.TeamCtxCmd(domain{}) }
